GLSA-200506-13 : webapp-config: Insecure temporary file handling

Medium Nessus Plugin ID 18520


The remote Gentoo host is missing one or more security-related patches.


The remote host is affected by the vulnerability described in GLSA-200506-13 (webapp-config: Insecure temporary file handling)

Eric Romang discovered webapp-config uses a predictable temporary filename while processing certain options, resulting in a race condition.
Impact :

Successful exploitation of the race condition would allow an attacker to disrupt the operation of webapp-config, or execute arbitrary shell commands with the privileges of the user running webapp-config. A local attacker could use a symlink attack to create or overwrite files with the permissions of the user running webapp-config.
Workaround :

There is no known workaround at this time.


All webapp-config users should upgrade to the latest version:
# emerge --sync # emerge --ask --oneshot --verbose '>=app-admin/webapp-config-1.11'

See Also

Plugin Details

Severity: Medium

ID: 18520

File Name: gentoo_GLSA-200506-13.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2005/06/17

Modified: 2015/04/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:gentoo:linux:webapp-config, cpe:/o:gentoo:linux

Required KB Items: Host/local_checks_enabled, Host/Gentoo/release, Host/Gentoo/qpkg-list

Patch Publication Date: 2005/06/17

Reference Information

CVE: CVE-2005-1707

GLSA: 200506-13